package io.dama.graphql;

import graphql.GraphQL;
import graphql.kickstart.tools.SchemaParser;
import graphql.schema.GraphQLSchema;

public class Main {
    private static GraphQLSchema createSchema() {
        return SchemaParser //
                .newParser() //
                .file("schema.graphqls")//
                .resolvers(new Query()) //
                .build()//
                .makeExecutableSchema();
    }

    public static void main(String[] args) {
        var graph = GraphQL.newGraphQL(createSchema()).build();
        var exec = graph.execute("{test}");
        System.out.println(exec.toSpecification());
    }
}